## org.eclipse.datatools.modelbase.sql.datatypes
Interface DistinctUserDefinedType

All Superinterfaces:
  DataType, SQLObject, UserDefinedType

All Known Subinterfaces:
  Domain

All Known Implementing Classes:
  DistinctUserDefinedTypeImpl, DomainImpl

public interface DistinctUserDefinedType
extends UserDefinedType

A representation of the model object 'Distinct User Defined Type'. Reference: 5WD-02-Foundation-2002-12 4.7 User-defined types

The following features are supported:

- `Predefined Representation`

See Also:
  `SQLDataTypesPackage.getDistinctUserDefinedType()`

Method Summary
`PredefinedDataType` `getPredefinedRepresentation()` Returns the value of the 'Predefined Representation' containment reference.
`void` `setPredefinedRepresentation(PredefinedDataType value)` Sets the value of the '`Predefined Representation`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getPredefinedRepresentation

    public PredefinedDataType getPredefinedRepresentation()

  Returns the value of the 'Predefined Representation' containment reference.

  If the meaning of the 'Predefined Representation' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Predefined Representation' containment reference.
  See Also:
    `setPredefinedRepresentation(PredefinedDataType)`, `SQLDataTypesPackage.getDistinctUserDefinedType_PredefinedRepresentation()`

### setPredefinedRepresentation

    public void setPredefinedRepresentation(PredefinedDataType value)

  Sets the value of the '`Predefined Representation`' containment reference.

  Parameters:
    `value` - the new value of the 'Predefined Representation' containment reference.
  See Also:
    `getPredefinedRepresentation()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.